View Issue Details

IDProjectCategoryView StatusLast Update
14763Bug reports[All Projects] Accessibilitypublic2019-04-30 09:13
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14763: Slider didn't have label
Description

Slider don't have label or labelled-by

If the slider has a visible label, it is referenced by aria-labelledby on the slider element. Otherwise, the slider element has a label provided by aria-label.

https://www.w3.org/TR/wai-aria-practices/#slider

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.2 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-04-09 19:43

developer   ~51431

Issue reported for slider : https://github.com/seiyria/bootstrap-slider/issues/920 but we can easily fix it.

DenisChenu

DenisChenu

2019-04-12 20:20

developer   ~51460

https://github.com/LimeSurvey/LimeSurvey/commit/bc5c360551eca0f7e520cb94ec7e584432a7b2ab

DenisChenu

DenisChenu

2019-04-13 11:51

developer   ~51464

Re-fix : https://github.com/LimeSurvey/LimeSurvey/commit/d2adb9703d9f2847413239509525e9c682fbc47d

c_schmitz

c_schmitz

2019-04-30 09:13

administrator   ~51680

Fixed in version 3.17.3

Issue History

Date Modified Username Field Change
2019-04-09 19:23 DenisChenu New Issue
2019-04-09 19:43 DenisChenu Note Added: 51431
2019-04-09 19:43 DenisChenu Assigned To => DenisChenu
2019-04-09 19:43 DenisChenu Status new => assigned
2019-04-12 20:20 DenisChenu Status assigned => resolved
2019-04-12 20:20 DenisChenu Resolution open => fixed
2019-04-12 20:20 DenisChenu Fixed in Version => 3.17.x
2019-04-12 20:20 DenisChenu Note Added: 51460
2019-04-13 11:51 DenisChenu Note Added: 51464
2019-04-30 09:13 c_schmitz Note Added: 51680
2019-04-30 09:13 c_schmitz Status resolved => closed